org.wildfly.swarm.config.infinispan.cache_container

## Class PartitionHandlingComponent<T extends PartitionHandlingComponent<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.PartitionHandlingComponent<T>

-     public class PartitionHandlingComponent<T extends PartitionHandlingComponent<T>>
      extends Object

  The partition handling configuration for distributed and replicated caches.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionHandlingComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `availability()` Indicates the current availability of the cache.
    `T` | `availability(String value)` Indicates the current availability of the cache.
    `Boolean` | `enabled()` If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.
    `T` | `enabled(Boolean value)` If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionHandlingComponent

          public PartitionHandlingComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availability

          public String availability()

      Indicates the current availability of the cache.

    - #### availability

          public T availability(String value)

      Indicates the current availability of the cache.

    - #### enabled

          public Boolean enabled()

      If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.

    - #### enabled

          public T enabled(Boolean value)

      If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.

Copyright © 2017 JBoss by Red Hat. All rights reserved.